%!TEX TS-program = xelatex
%!TEX encoding = UTF-8 Unicode


\documentclass[12pt,oneside,a4paper]{book}
\usepackage{lipsum}		%To generate sample text
\usepackage{ifthen}
\usepackage{graphicx}

%====== Add the packages here ================
\usepackage{enumitem}
\usepackage{listings}	%For showing programming language in Latex
\usepackage{subcaption}
\usepackage{amssymb}
\usepackage{amsmath}
\usepackage[hidelinks]{hyperref}
\usepackage[section]{placeins}
%=============================================

\usepackage{muictthesis}

\captionsetup{compatibility=false}


%Note
% Change caption of table to aligned top-left
% 



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Set path directory of figures
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\graphicspath{{./figures/chap1/}{./figures/chap2/}{./figures/chap3/}{./figures/chap4/}{./figures/chap5/}{./figures/chap6/}{./figures/appendix/}}

\XeTeXlinebreaklocale "th"	%Set word wrapping for Thai language
\XeTeXlinebreakskip = 0pt plus 1.1pt   % 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Thesis Meta Data (edit each field)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Thesis Title 
\newcommand{\thesisTitle}{OVERSCAN: OPEN AUTHORIZATION 2.0 VULNERABILITY SCANNER PLUGIN FOR BURP SUITE}
\newcommand{\thesisTitleTH}{ส่วนขยายของโปรแกรมเบิร์พสูธสำหรับตรวจหาจุดบกพร่องของระบบการอนุญาตเข้าใช้งานแบบเปิด รุ่น ๒.0}

%Thesis Keywords
\newcommand{\thesisKeywords}{NETWORK SECURITY, BURP SUITE EXTENSION, WEB APPLICATION}

%Author name
\newcommand{\thesisFirstTitleName}{Mr.}
\newcommand{\thesisFirstAuthor}{Pakpoom Rachtrachoo}
\newcommand{\thesisFirstAuthorTH}{ภาคภูมิ ราชตราชู}
\newcommand{\thesisFirstAuthorID}{5888179}
\newcommand{\thesisFirstAuthorBD}{4 April 1997}
\newcommand{\thesisFirstAuthorBP}{Bangkok, Thailand}
\newcommand{\thesisFirstAuthorHC}{Kornpitack Suksa School, 2015}

\newcommand{\thesisSecondTitleName}{Mr.}		%Comment all if you don't have second author
\newcommand{\thesisSecondAuthor}{Arnuphap Yupuech}
\newcommand{\thesisSecondAuthorTH}{อนุภาพ อยู่พืช}
\newcommand{\thesisSecondAuthorID}{5888236}
\newcommand{\thesisSecondAuthorBD}{19 September 1996}
\newcommand{\thesisSecondAuthorBP}{Bangkok, Thailand}
\newcommand{\thesisSecondAuthorHC}{Chonprathan Wittaya School, 2015}

\newcommand{\thesisThirdTitleName}{Mr.}			%Comment all if you don't have third author
\newcommand{\thesisThirdAuthor}{Kasidit Siriporn}
\newcommand{\thesisThirdAuthorTH}{กษิดิศ ศิริพร}
\newcommand{\thesisThirdAuthorID}{1234569}
\newcommand{\thesisThirdAuthorBD}{11 October 1996}
\newcommand{\thesisThirdAuthorBP}{Bangkok, Thailand}
\newcommand{\thesisThirdAuthorHC}{Joseph Upathum School, 2015}

\newcommand{\thesisAuthorsInitials}{Pakpoom R., Arnuphap Y., Kasidit S.} %Initials of Thesis Authors

%Degree that this thesis is for
\newcommand{\thesisDegree}{Bachelor of science}
\newcommand{\thesissubDegree}{Information and Communication Technology}

%Month, year and date of thesis publication
\newcommand{\thesisYear}{2018}
\newcommand{\thesisMonth}{October}
\newcommand{\thesisDate}{14}
%Department
\newcommand{\thesisDep}{Faculty of Information and Communication Technology}

%University
\newcommand{\thesisUni}{Mahidol University}

%Advisor name
\newcommand{\thesisAdv}{Dr. Karin Sumongkayothin}		%with title name
\newcommand{\thesisAdvTH}{ดร. กรินทร์ สุมังคะโยธิน}		%with title name


%===========================================================

\begin{document}
\renewcommand{\thelstlisting}{\thechapter.\arabic{lstlisting}} %Change listing numbering style
\makeatletter
\makeatother

\coverpage
\input{acknowledgement.tex}
\input{abstract.tex}
\newpage

\tableofcontents
\newpage

\listoftables
\newpage

\listoffigures
\clearpage

%\lstlistoflistings
%\addtocontents{toc}{\vspace*{0.7\baselineskip}}%

\mainmatter		%Reset and set page number to arabic style
\renewcommand{\chaptermark}[1]{\markboth{#1}{}}
\fancyhead[L]{\ifthenelse{\isodd{\value{page}}}{Faculty of ICT, Mahidol Univ.}{\thesisAuthorsInitials}} %odd page header
\fancyhead[R]{\ifthenelse{\isodd{\value{page}}}{B.Sc. (ICT)~/~\thepage}{\leftmark~/~\thepage}} %even page header

\input{chap1.tex} 
\clearpage
%
\input{chap2.tex}
\clearpage
%
\input{chap3.tex}
\newpage
%
\input{chap4.tex}
\newpage
%
\input{chap5.tex}
\newpage
%
\input{chap6.tex}
\newpage
%
\input{chap7.tex}
\newpage
%
\input{chap8.tex}
\newpage
%
%\input{appendixA.tex}
%\clearpage
%
\input{appendixB.tex}
\clearpage
%
\input{appendixC.tex}
\clearpage
%
\bibliographystyle{muict.bst}
\bibliography{reference}
\clearpage
%
\biography
\end{document}
